<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>
  
  <include href="mappings/yi.graph.polygon.GenericPolygon_map.xml"/>
  <include href="mappings/yi.iu.region.Region_map.xml"/>

  <class name="yi.iu.region.PolygonRegion">

    <map-to xml="region-desc"/>

    <field name="region" type="yi.iu.region.Region">
      <bind-xml name="ellipse-region" node="element"/>
    </field>
    
    <field name="polygon" type="yi.graph.polygon.GenericPolygon">
      <bind-xml name="polygon-region" node="element"/>
    </field>

  </class>
</mapping>

